> ## Documentation Index
> Fetch the complete documentation index at: https://docs.modo.link/llms.txt
> Use this file to discover all available pages before exploring further.

# Get transfers by party

> Retrieve paginated list of transfers for a specific party



## OpenAPI

````yaml /api/modo-canton.json get /v1/transfers/{partyId}
openapi: 3.0.1
info:
  title: Canton mainnet API
  description: >-
    This is the new API Module implementation. The Canton Blockchain API is used
    to retrieve Canton Blockchain data. In order to execute queries you need to
    get API Key and use it in header 'x-api-key'. However, before that you need
    to sign up on the explorer or company website. If an account is created on
    the website <strong>https://staketab.com/</strong> or
    <strong>https://cc.modo.link/</strong>, the user will be granted the
    <strong>ROLE_USER</strong> role. After that you may fetch API KEY.
  termsOfService: terms-of-service
  contact:
    name: Staketab tech support
    url: https://staketab.com/
    email: support@staketab.com
  license:
    name: Apache 2.0
    url: https://www.apache.org/licenses/LICENSE-2.0
  version: 1.0.0
servers:
  - url: https://api.modo.link/canton-mainnet
    description: Production
security:
  - x-api-key: []
tags:
  - name: Contracts
    description: Contract endpoints
  - name: Tokens
    description: Token endpoints
  - name: Market Info
    description: Market info endpoints
  - name: Updates
    description: Update endpoints
  - name: Validators
    description: Validator management endpoints
  - name: Transfers
    description: Transfer endpoints
  - name: Dashboard
    description: Dashboard endpoints
  - name: Events
    description: Event endpoints
  - name: Governance
    description: Governance endpoints
  - name: Super Validators
    description: Super Validator management endpoints
  - name: Featured Apps
    description: Featured Apps endpoints
  - name: Parties
    description: Party management endpoints
  - name: Rewards
    description: Rewards endpoints
paths:
  /v1/transfers/{partyId}:
    get:
      tags:
        - Transfers
      summary: Get transfers by party
      description: Retrieve paginated list of transfers for a specific party
      operationId: getTransfersByParty
      parameters:
        - name: partyId
          in: path
          description: Party ID
          required: true
          schema:
            type: string
          example: >-
            Staketab-mainnet-1::122014f09cb05cffc2f1c524601c4aa91d35908dc55cfe9e92849390137ccc7c0d41
        - name: role
          in: query
          description: 'Filter transfers by role: ANY, SENDER, RECEIVER, or PROVIDER.'
          required: false
          schema:
            type: string
            default: ANY
            enum:
              - ANY
              - SENDER
              - RECEIVER
              - PROVIDER
          example: ANY
        - name: sortBy
          in: query
          description: Sorting parameter.
          required: true
          schema:
            type: string
            default: AGE
            enum:
              - AGE
          example: AGE
        - name: size
          in: query
          description: Number of queried entries.
          required: true
          schema:
            maximum: 100
            minimum: 1
            type: integer
            format: int32
            default: 20
          example: 20
        - name: orderBy
          in: query
          description: >-
            Sorting method: from the lowest element to the highest (ASC) or from
            the highest element to the lowest (DESC).
          required: true
          schema:
            type: string
            default: DESC
            enum:
              - ASC
              - DESC
          example: DESC
        - name: nextCursor
          in: query
          description: >-
            Cursor for pagination to retrieve the next page of results. Leave
            empty for the first page.
          required: false
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/PageResponseTransferAccountDtoAPI'
components:
  schemas:
    PageResponseTransferAccountDtoAPI:
      type: object
      properties:
        content:
          type: array
          items:
            $ref: '#/components/schemas/TransferAccountDtoAPI'
        hasNextPage:
          type: boolean
        nextCursor:
          type: string
    TransferAccountDtoAPI:
      type: object
      properties:
        eventId:
          type: string
        transferType:
          type: string
        senders:
          type: array
          items:
            $ref: '#/components/schemas/ParticipantDtoAPI'
        receivers:
          type: array
          items:
            $ref: '#/components/schemas/ParticipantDtoAPI'
        amount:
          type: number
        fee:
          type: number
        createdAt:
          type: integer
          format: int64
    ParticipantDtoAPI:
      type: object
      properties:
        partyId:
          type: string
        accountName:
          type: string
        imageUrl:
          type: string
  securitySchemes:
    x-api-key:
      type: apiKey
      name: x-api-key
      in: header

````